# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Defined types

* [`file_lnk`](#file_lnk): File LNK

## Defined types

### <a name="file_lnk"></a>`file_lnk`

Defines a .LNK shortcut

#### Parameters

The following parameters are available in the `file_lnk` defined type:

* [`description`](#-file_lnk--description)
* [`ensure`](#-file_lnk--ensure)
* [`file_name`](#-file_lnk--file_name)
* [`hot_key`](#-file_lnk--hot_key)
* [`icon_file`](#-file_lnk--icon_file)
* [`icon_index`](#-file_lnk--icon_index)
* [`log_output`](#-file_lnk--log_output)
* [`parent_folder`](#-file_lnk--parent_folder)
* [`set_run_as_administrator`](#-file_lnk--set_run_as_administrator)
* [`target_path`](#-file_lnk--target_path)
* [`target_arguments`](#-file_lnk--target_arguments)
* [`window_style`](#-file_lnk--window_style)
* [`working_directory`](#-file_lnk--working_directory)

##### <a name="-file_lnk--description"></a>`description`

Data type: `Optional[String]`

Descriptive comment to use for the shortcut
Example: 'This is an example comment'

Default value: `undef`

##### <a name="-file_lnk--ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

Desired state of the shortcut
Example: 'absent'

Default value: `'present'`

##### <a name="-file_lnk--file_name"></a>`file_name`

Data type: `String`

Assigned text, including the file extension, that should be used as the name of the file
   Ensure that the exact file name is used if 'ensure' is set to 'absent'
Example: 'OneToRuleThemAll.lnk'

##### <a name="-file_lnk--hot_key"></a>`hot_key`

Data type: `Optional[String]`

Denotes the key combination to assign to the shortcut
Key combo execution will only work if the shortcut resides in certain locations (such as Desktop, Start Menu, etc..)
Example: 'CTRL+ALT+8'

Default value: `undef`

##### <a name="-file_lnk--icon_file"></a>`icon_file`

Data type: `Optional[String]`

Full path to the file containing the icon to use for the shortcut
Example: 'C:\Windows\HelpPane.exe'

Default value: `undef`

##### <a name="-file_lnk--icon_index"></a>`icon_index`

Data type: `Optional[Integer]`

Denotes which icon entry within the icon_file item to use for the shortcut
Example: 0

Default value: `undef`

##### <a name="-file_lnk--log_output"></a>`log_output`

Data type: `Boolean`

Determines additional logging output (typically only used for troubleshooting) during a Puppet agent run
Example: True

Default value: `false`

##### <a name="-file_lnk--parent_folder"></a>`parent_folder`

Data type: `String`

Full path to the parent folder that will house the shortcut file
Example: 'C:\Users\Public\Desktop'

##### <a name="-file_lnk--set_run_as_administrator"></a>`set_run_as_administrator`

Data type: `Boolean`

Determines if the shortcut should be run with administrator rights
Example: True

Default value: `false`

##### <a name="-file_lnk--target_path"></a>`target_path`

Data type: `Optional[String]`

Path to the item to launch when the shortcut is triggered
   Required when 'ensure' is set to 'present'
Example: 'C:\\Windows\\notepad.exe'

Default value: `undef`

##### <a name="-file_lnk--target_arguments"></a>`target_arguments`

Data type: `Optional[String]`

Arguments to supply to the target file when the shorcut is triggered
Example: '-option123'

Default value: `undef`

##### <a name="-file_lnk--window_style"></a>`window_style`

Data type: `Enum['1', '3', '7']`

Denotes what type of window to use when the shortcut is triggered
1=normal, 3=maximized, 7=minimized
Example: '3'

Default value: `'1'`

##### <a name="-file_lnk--working_directory"></a>`working_directory`

Data type: `String`

Path to use for the working directory when the shortcut is triggered
Example: 'C:\\Windows'

Default value: `'C:\\Windows'`

